diff -ruN libxfcegui4-4.2.3/configure libxfcegui4-4.2.3-mod/configure
--- libxfcegui4-4.2.3/configure	2005-11-05 16:29:08.000000000 -0500
+++ libxfcegui4-4.2.3-mod/configure	2011-07-30 14:03:04.000000000 -0400
@@ -3939,11 +3939,11 @@
 
 
 if test "`uname | grep \"CYGWIN\"`" != ""; then
-  HAVE_CYGWIN_TRUE=
-  HAVE_CYGWIN_FALSE='#'
-else
   HAVE_CYGWIN_TRUE='#'
   HAVE_CYGWIN_FALSE=
+else
+  HAVE_CYGWIN_TRUE=
+  HAVE_CYGWIN_FALSE='#'
 fi
 
 
diff -ruN libxfcegui4-4.2.3/libxfcegui4/Makefile.in libxfcegui4-4.2.3-mod/libxfcegui4/Makefile.in
--- libxfcegui4-4.2.3/libxfcegui4/Makefile.in	2005-11-06 05:44:26.000000000 -0500
+++ libxfcegui4-4.2.3-mod/libxfcegui4/Makefile.in	2011-07-30 14:03:04.000000000 -0400
@@ -38,7 +38,7 @@
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
-@HAVE_CYGWIN_TRUE@am__append_1 = -no-undefined
+@HAVE_CYGWIN_FALSE@am__append_1 = -no-undefined
 subdir = libxfcegui4
 DIST_COMMON = $(libxfcegui4include_HEADERS) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in $(srcdir)/libxfcegui4-1.0.pc.in \
diff -ruN libxfcegui4-4.2.3/libxfcegui4/dialogs.c libxfcegui4-4.2.3-mod/libxfcegui4/dialogs.c
--- libxfcegui4-4.2.3/libxfcegui4/dialogs.c	2005-11-05 11:58:45.000000000 -0500
+++ libxfcegui4-4.2.3-mod/libxfcegui4/dialogs.c	2011-07-30 14:03:04.000000000 -0400
@@ -60,7 +60,12 @@
 /* max. length of a message */
 #define MAXMESSAGELEN   2048
 
+#ifdef __APPLE__
+#include <crt_externs.h>
+#define environ (*_NSGetEnviron())
+#else
 extern char **environ;
+#endif
 
 /* create a header with optional icon (may be NULL) in larger bold font;
  * background and foreground colors are taken from gtk */
diff -ruN libxfcegui4-4.2.3/libxfcegui4/libxfcegui4-1.0.pc.in libxfcegui4-4.2.3-mod/libxfcegui4/libxfcegui4-1.0.pc.in
--- libxfcegui4-4.2.3/libxfcegui4/libxfcegui4-1.0.pc.in	2005-11-05 11:58:45.000000000 -0500
+++ libxfcegui4-4.2.3-mod/libxfcegui4/libxfcegui4-1.0.pc.in	2011-07-30 14:06:05.000000000 -0400
@@ -7,5 +7,5 @@
 Description: libxfcegui4
 Requires: gdk-2.0 gtk+-2.0 libxfce4util-1.0
 Version: @VERSION@
-Libs: @LIBX11_LDFLAGS@ @LIBSM_LDFLAGS@ -L${libdir} -lxfcegui4
-Cflags: @LIBX11_CFLAGS@ @LIBSM_CFLAGS@ -I${includedir}/xfce4
+Libs: -L${libdir} -lxfcegui4 @LIBX11_LDFLAGS@ @LIBSM_LDFLAGS@
+Cflags: -I${includedir}/xfce4 @LIBX11_CFLAGS@ @LIBSM_CFLAGS@
diff -ruN libxfcegui4-4.2.3/libxfcegui4/xfce-exec.c libxfcegui4-4.2.3-mod/libxfcegui4/xfce-exec.c
--- libxfcegui4-4.2.3/libxfcegui4/xfce-exec.c	2005-11-05 11:58:45.000000000 -0500
+++ libxfcegui4-4.2.3-mod/libxfcegui4/xfce-exec.c	2011-07-30 14:03:04.000000000 -0400
@@ -48,7 +48,12 @@
 
 #include "xfce-exec.h"
 
+#ifdef __APPLE__
+#include <crt_externs.h>
+#define environ (*_NSGetEnviron())
+#else
 extern char **environ;
+#endif
 
 #ifdef HAVE_LIBSTARTUP_NOTIFICATION
 
diff -ruN libxfcegui4-4.2.3/xfce4-modules/combo/Makefile.in libxfcegui4-4.2.3-mod/xfce4-modules/combo/Makefile.in
--- libxfcegui4-4.2.3/xfce4-modules/combo/Makefile.in	2005-11-06 05:44:26.000000000 -0500
+++ libxfcegui4-4.2.3-mod/xfce4-modules/combo/Makefile.in	2011-07-30 14:03:04.000000000 -0400
@@ -36,7 +36,7 @@
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
-@HAVE_CYGWIN_TRUE@am__append_1 = -module -avoid-version -no-undefined
+am__append_1 = -module
 subdir = xfce4-modules/combo
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
diff -ruN libxfcegui4-4.2.3/xfce4-modules/mime-applications/Makefile.in libxfcegui4-4.2.3-mod/xfce4-modules/mime-applications/Makefile.in
--- libxfcegui4-4.2.3/xfce4-modules/mime-applications/Makefile.in	2005-11-06 05:44:27.000000000 -0500
+++ libxfcegui4-4.2.3-mod/xfce4-modules/mime-applications/Makefile.in	2011-07-30 14:03:04.000000000 -0400
@@ -36,7 +36,7 @@
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
-@HAVE_CYGWIN_TRUE@am__append_1 = -no-undefined -avoid-version
+@HAVE_CYGWIN_FALSE@am__append_1 = -no-undefined -avoid-version
 @HAVE_CYGWIN_TRUE@am__append_2 = @DBH_CFLAGS@
 subdir = xfce4-modules/mime-applications
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
diff -ruN libxfcegui4-4.2.3/xfce4-modules/mime-icons/Makefile.in libxfcegui4-4.2.3-mod/xfce4-modules/mime-icons/Makefile.in
--- libxfcegui4-4.2.3/xfce4-modules/mime-icons/Makefile.in	2005-11-06 05:44:27.000000000 -0500
+++ libxfcegui4-4.2.3-mod/xfce4-modules/mime-icons/Makefile.in	2011-07-30 14:03:04.000000000 -0400
@@ -36,7 +36,7 @@
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
-@HAVE_CYGWIN_TRUE@am__append_1 = -module -avoid-version -no-undefined
+@HAVE_CYGWIN_TRUE@am__append_1 = -module
 @HAVE_CYGWIN_TRUE@am__append_2 = @DBH_CFLAGS@
 subdir = xfce4-modules/mime-icons
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
@@ -56,7 +56,7 @@
 am__installdirs = "$(DESTDIR)$(plugindir)"
 pluginLTLIBRARIES_INSTALL = $(INSTALL)
 LTLIBRARIES = $(plugin_LTLIBRARIES)
-@HAVE_CYGWIN_TRUE@libxfce4_mime_icons_la_DEPENDENCIES =  \
+@HAVE_CYGWIN_TRUE@libxfce4_mime_icons_la_DEPENDENCIES = \
 @HAVE_CYGWIN_TRUE@	$(top_builddir)/libxfcegui4/libxfcegui4.la
 am_libxfce4_mime_icons_la_OBJECTS =  \
 	libxfce4_mime_icons_la-mime_icons.lo \
